{% extends 'base.html' %}

{% block title %}Update Profile{% endblock %}

{% block content %}

	{% if user.is_anonymous == False %}

		<h1 class = 'text-center my-3'>Update Profile Details</h1>
			<div class = 'container my-5'>
				<div class = 'row'>
					<div class = 'col-6 offset-3 mb-3'>

						{% if success == True %}
							<p class = 'text-center text-success my-2'>Your details have been updated!</p>
						{% endif %}

						<form action = "{% url 'todolist:update_profile' %}" method = "POST">

							{% csrf_token %}

						  <div class = "row mb-3">
						  	<div class = "col-lg-6">
						  		<label for="first_name" class="form-label">First Name:</label>
						  		<input 
						  			type="text" 
						  			class="form-control" 
						  			id="first_name" 
						  			value = "{{first_name}}"
						  			name = "first_name" 
						  			maxlength="50"
						  			required
					  			>
						  	</div>
						  	<div class = "col-lg-6">
						  		<label for="last_name" class="form-label">Last Name:</label>
						  		<input 
						  			type="text" 
						  			class="form-control" 
						  			id="last_name" 
						  			value = "{{last_name}}"
						  			name = "last_name" 
						  			maxlength="50"
						  			required
					  			>
						  	</div>
						  </div>
						  <div class="mb-3">
						    <label for="password" class="form-label">Password:</label>
						    <input 
					  			type="password" 
					  			class="form-control" 
					  			id="password" 
					  			value = "{{password}}" 
					  			name = "password" 
					  			maxlength="20"
					  			required
				  			>
						  </div>
						  <button type="submit" class="btn btn-primary">Update</button>
						</form>

					</div>
				</div>
			</div>

	{% else %}
		<h1 class = "text-center my-3">Error!</h1>
		<p class = "text-center">Please log into your account first. (how are you going to update your profile otherwise???)</p>
	{% endif %}

{% endblock %}